Discover Google Hotels by Search
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"search_term": "<string>",
"check_in_date": "<string>",
"check_out_date": "<string>",
"guest_number": 123,
"country": "<string>",
"currency": "<string>"
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [
{
"search_term": "<string>",
"check_in_date": "<string>",
"check_out_date": "<string>",
"guest_number": 123,
"country": "<string>",
"currency": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: [
{
search_term: '<string>',
check_in_date: '<string>',
check_out_date: '<string>',
guest_number: 123,
country: '<string>',
currency: '<string>'
}
]
})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"hotel_id": "CgoI_example",
"name": "The Plaza",
"address": "768 5th Ave, New York, NY 10019",
"rating": 4.5,
"reviews_count": 8200,
"price_per_night": "795.00",
"total_price": "2385.00",
"currency": "USD",
"check_in_date": "2026-06-15",
"check_out_date": "2026-06-18"
}
]
Google
Discover Google Hotels by Search
Use the Bright Data Web Scraper API to discover Google Hotels listings by search parameters. POST /datasets/v3/scrape returns hotel records as JSON.
POST
/
datasets
/
v3
/
scrape
Discover Google Hotels by Search
Query Parameters
string
default:"gd_mg3gjfmg12tc2n5d4d"
required
The dataset ID used for this request.
Must be set to
gd_mg3gjfmg12tc2n5d4d to discover Google Hotels by search.string
default:"discover_new"
required
Must be set to
discover_new.string
default:"search"
required
Must be set to
search.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
An array of input objects.
Show properties
Show properties
string
required
The destination or location to search (e.g.,
New York, Tokyo).string
required
Check-in date in
YYYY-MM-DD format.string
required
Check-out date in
YYYY-MM-DD format.number
required
Number of guests.
string
ISO 3166-1 alpha-2 country code for localized results.
string
ISO 4217 currency code (e.g.,
USD, EUR).Example
{
"input": [
{
"search_term": "New York",
"check_in_date": "2026-06-15",
"check_out_date": "2026-06-18",
"guest_number": 2,
"country": "US",
"currency": "USD"
}
]
}
[
{
"hotel_id": "CgoI_example",
"name": "The Plaza",
"address": "768 5th Ave, New York, NY 10019",
"rating": 4.5,
"reviews_count": 8200,
"price_per_night": "795.00",
"total_price": "2385.00",
"currency": "USD",
"check_in_date": "2026-06-15",
"check_out_date": "2026-06-18"
}
]
Was this page helpful?
⌘I